\documentclass[tikz, margin={0cm 0cm 0cm 0cm}]{standalone}

%\input{utils/preamble}

\begin{document}



\tikzset{every picture/.style={line width=0.75pt}} %set default line width to 0.75pt        

\begin{tikzpicture}[x=0.75pt,y=0.75pt,yscale=-1,xscale=1]
%uncomment if require: \path (0,459); %set diagram left start at 0, and has height of 459

%Flowchart: Alternative Process [id:dp9235361166245442] 
\draw  [fill={rgb, 255:red, 255; green, 255; blue, 255 }  ,fill opacity=0 ] (90,116.75) .. controls (90,96.45) and (106.45,80) .. (126.75,80) -- (623.25,80) .. controls (643.55,80) and (660,96.45) .. (660,116.75) -- (660,253.25) .. controls (660,273.55) and (643.55,290) .. (623.25,290) -- (126.75,290) .. controls (106.45,290) and (90,273.55) .. (90,253.25) -- cycle ;
%Straight Lines [id:da6962066651541812] 
\draw    (280,240) -- (280,330) -- (70,330) ;
%Straight Lines [id:da4145402363577628] 
\draw    (40,330) -- (0,330) ;
%Straight Lines [id:da04414521092152579] 
\draw    (40,310) -- (70,330) ;
%Straight Lines [id:da14653363050275892] 
\draw    (50,310) -- (50,210) -- (110,210) ;
%Shape: Circle [id:dp9889115154996863] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (40,330) .. controls (40,328.62) and (41.12,327.5) .. (42.5,327.5) .. controls (43.88,327.5) and (45,328.62) .. (45,330) .. controls (45,331.38) and (43.88,332.5) .. (42.5,332.5) .. controls (41.12,332.5) and (40,331.38) .. (40,330) -- cycle ;
%Shape: Circle [id:dp658873033300563] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (67.5,330) .. controls (67.5,328.62) and (68.62,327.5) .. (70,327.5) .. controls (71.38,327.5) and (72.5,328.62) .. (72.5,330) .. controls (72.5,331.38) and (71.38,332.5) .. (70,332.5) .. controls (68.62,332.5) and (67.5,331.38) .. (67.5,330) -- cycle ;
%Straight Lines [id:da6566550884535097] 
\draw    (290,20) -- (290,177) ;
\draw [shift={(290,180)}, rotate = 270] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.08]  [draw opacity=0] (8.93,-4.29) -- (0,0) -- (8.93,4.29) -- cycle    ;
%Straight Lines [id:da03606389710562963] 
\draw    (546,20) -- (546,97) ;
\draw [shift={(546,100)}, rotate = 270] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.08]  [draw opacity=0] (8.93,-4.29) -- (0,0) -- (8.93,4.29) -- cycle    ;
%Flowchart: Alternative Process [id:dp7513672166139242] 
\draw   (110,190.5) .. controls (110,184.7) and (114.7,180) .. (120.5,180) -- (199.5,180) .. controls (205.3,180) and (210,184.7) .. (210,190.5) -- (210,229.5) .. controls (210,235.3) and (205.3,240) .. (199.5,240) -- (120.5,240) .. controls (114.7,240) and (110,235.3) .. (110,229.5) -- cycle ;
%Flowchart: Alternative Process [id:dp6167022578554479] 
\draw   (240,190.5) .. controls (240,184.7) and (244.7,180) .. (250.5,180) -- (309.5,180) .. controls (315.3,180) and (320,184.7) .. (320,190.5) -- (320,229.5) .. controls (320,235.3) and (315.3,240) .. (309.5,240) -- (250.5,240) .. controls (244.7,240) and (240,235.3) .. (240,229.5) -- cycle ;
%Flowchart: Alternative Process [id:dp4759301351372359] 
\draw   (450,124.5) .. controls (450,110.97) and (460.97,100) .. (474.5,100) -- (605.5,100) .. controls (619.03,100) and (630,110.97) .. (630,124.5) -- (630,215.5) .. controls (630,229.03) and (619.03,240) .. (605.5,240) -- (474.5,240) .. controls (460.97,240) and (450,229.03) .. (450,215.5) -- cycle ;
%Straight Lines [id:da452416798416173] 
\draw    (213,210) -- (237,210) ;
\draw [shift={(240,210)}, rotate = 180] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.08]  [draw opacity=0] (8.93,-4.29) -- (0,0) -- (8.93,4.29) -- cycle    ;
\draw [shift={(210,210)}, rotate = 0] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.08]  [draw opacity=0] (8.93,-4.29) -- (0,0) -- (8.93,4.29) -- cycle    ;
%Straight Lines [id:da8223645105730963] 
\draw    (450,210) -- (323,210) ;
\draw [shift={(320,210)}, rotate = 360] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.08]  [draw opacity=0] (8.93,-4.29) -- (0,0) -- (8.93,4.29) -- cycle    ;
%Flowchart: Alternative Process [id:dp5343992333688999] 
\draw   (316,120.5) .. controls (316,114.7) and (320.7,110) .. (326.5,110) -- (405.5,110) .. controls (411.3,110) and (416,114.7) .. (416,120.5) -- (416,159.5) .. controls (416,165.3) and (411.3,170) .. (405.5,170) -- (326.5,170) .. controls (320.7,170) and (316,165.3) .. (316,159.5) -- cycle ;
%Straight Lines [id:da7986026717512663] 
\draw    (416,140) -- (447,140) ;
\draw [shift={(450,140)}, rotate = 180] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.08]  [draw opacity=0] (8.93,-4.29) -- (0,0) -- (8.93,4.29) -- cycle    ;
%Straight Lines [id:da7993489916354101] 
\draw    (290,140) -- (313,140) ;
\draw [shift={(316,140)}, rotate = 180] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.08]  [draw opacity=0] (8.93,-4.29) -- (0,0) -- (8.93,4.29) -- cycle    ;
%Shape: Circle [id:dp21780827698209282] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (287.25,140) .. controls (287.25,138.48) and (288.48,137.25) .. (290,137.25) .. controls (291.52,137.25) and (292.75,138.48) .. (292.75,140) .. controls (292.75,141.52) and (291.52,142.75) .. (290,142.75) .. controls (288.48,142.75) and (287.25,141.52) .. (287.25,140) -- cycle ;
%Straight Lines [id:da5305080278634184] 
\draw    (680,210) -- (633,210) ;
\draw [shift={(630,210)}, rotate = 360] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.08]  [draw opacity=0] (8.93,-4.29) -- (0,0) -- (8.93,4.29) -- cycle    ;
%Straight Lines [id:da6937102684626949] 
\draw    (686,130) -- (633,130) ;
\draw [shift={(630,130)}, rotate = 360] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.08]  [draw opacity=0] (8.93,-4.29) -- (0,0) -- (8.93,4.29) -- cycle    ;
%Rounded Rect [id:dp3580760375974271] 
\draw  [color={rgb, 255:red, 0; green, 0; blue, 0 }  ,draw opacity=1 ] (180,114) .. controls (180,109.58) and (183.58,106) .. (188,106) -- (252,106) .. controls (256.42,106) and (260,109.58) .. (260,114) -- (260,138) .. controls (260,142.42) and (256.42,146) .. (252,146) -- (188,146) .. controls (183.58,146) and (180,142.42) .. (180,138) -- cycle ;
%Straight Lines [id:da005418417085246374] 
\draw    (290,90) -- (220,90) -- (220,103) ;
\draw [shift={(220,106)}, rotate = 270] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.08]  [draw opacity=0] (8.93,-4.29) -- (0,0) -- (8.93,4.29) -- cycle    ;
\draw [shift={(290,90)}, rotate = 180] [color={rgb, 255:red, 0; green, 0; blue, 0 }  ][fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.75]      (0, 0) circle [x radius= 3.35, y radius= 3.35]   ;
%Straight Lines [id:da6697166197155353] 
\draw    (706,170) -- (633,170) ;
\draw [shift={(630,170)}, rotate = 360] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.08]  [draw opacity=0] (8.93,-4.29) -- (0,0) -- (8.93,4.29) -- cycle    ;
%Shape: Arc [id:dp09383622634444311] 
\draw  [draw opacity=0] (359.32,246.59) .. controls (363.71,242.82) and (369.07,239.64) .. (375.15,237.41) .. controls (390.8,231.68) and (406.83,233.88) .. (416.25,241.92) -- (385.47,265.58) -- cycle ; \draw   (359.32,246.59) .. controls (363.71,242.82) and (369.07,239.64) .. (375.15,237.41) .. controls (390.8,231.68) and (406.83,233.88) .. (416.25,241.92) ;
%Shape: Circle [id:dp9078569789185525] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (413.5,241.92) .. controls (413.5,240.41) and (414.73,239.17) .. (416.25,239.17) .. controls (417.77,239.17) and (419,240.41) .. (419,241.92) .. controls (419,243.44) and (417.77,244.67) .. (416.25,244.67) .. controls (414.73,244.67) and (413.5,243.44) .. (413.5,241.92) -- cycle ;
%Shape: Arc [id:dp8170349994818086] 
\draw  [draw opacity=0] (365.73,249.12) .. controls (365.44,246.89) and (367.02,243.58) .. (369.93,240.79) .. controls (372.37,238.45) and (375.13,237.06) .. (377.27,236.9) -- (373.24,244.24) -- cycle ; \draw  [color={rgb, 255:red, 155; green, 155; blue, 155 }  ,draw opacity=1 ] (365.73,249.12) .. controls (365.44,246.89) and (367.02,243.58) .. (369.93,240.79) .. controls (372.37,238.45) and (375.13,237.06) .. (377.27,236.9) ;
%Shape: Arc [id:dp39776361536794413] 
\draw  [draw opacity=0] (377.27,236.9) .. controls (375.61,237.41) and (373.68,237.73) .. (371.59,237.79) .. controls (366.01,237.97) and (361.33,236.22) .. (360.44,233.77) -- (371.43,232.66) -- cycle ; \draw  [color={rgb, 255:red, 155; green, 155; blue, 155 }  ,draw opacity=1 ] (377.27,236.9) .. controls (375.61,237.41) and (373.68,237.73) .. (371.59,237.79) .. controls (366.01,237.97) and (361.33,236.22) .. (360.44,233.77) ;
%Shape: Arc [id:dp41306505115217695] 
\draw  [draw opacity=0] (363.52,243.49) .. controls (365.12,242.21) and (367.23,240.87) .. (369.65,239.67) .. controls (372.43,238.28) and (375.12,237.33) .. (377.27,236.9) -- (371.18,242.75) -- cycle ; \draw  [color={rgb, 255:red, 155; green, 155; blue, 155 }  ,draw opacity=1 ] (363.52,243.49) .. controls (365.12,242.21) and (367.23,240.87) .. (369.65,239.67) .. controls (372.43,238.28) and (375.12,237.33) .. (377.27,236.9) ;
%Shape: Circle [id:dp06635708749954095] 
\draw  [color={rgb, 255:red, 155; green, 155; blue, 155 }  ,draw opacity=1 ][fill={rgb, 255:red, 155; green, 155; blue, 155 }  ,fill opacity=1 ] (374.75,238) .. controls (374.14,236.61) and (374.77,234.99) .. (376.16,234.38) .. controls (377.55,233.77) and (379.17,234.4) .. (379.78,235.79) .. controls (380.39,237.18) and (379.76,238.8) .. (378.37,239.41) .. controls (376.98,240.02) and (375.36,239.39) .. (374.75,238) -- cycle ;
%Shape: Arc [id:dp31561399840126825] 
\draw  [draw opacity=0] (386.9,241.61) .. controls (387.58,239.47) and (390.42,237.15) .. (394.23,235.86) .. controls (397.43,234.77) and (400.53,234.68) .. (402.53,235.44) -- (395.76,240.38) -- cycle ; \draw  [color={rgb, 255:red, 155; green, 155; blue, 155 }  ,draw opacity=1 ] (386.9,241.61) .. controls (387.58,239.47) and (390.42,237.15) .. (394.23,235.86) .. controls (397.43,234.77) and (400.53,234.68) .. (402.53,235.44) ;
%Shape: Arc [id:dp8249978207594859] 
\draw  [draw opacity=0] (402.53,235.44) .. controls (400.82,235.2) and (398.92,234.67) .. (397.01,233.85) .. controls (391.88,231.64) and (388.39,228.06) .. (388.62,225.48) -- (399.05,229.13) -- cycle ; \draw  [color={rgb, 255:red, 155; green, 155; blue, 155 }  ,draw opacity=1 ] (402.53,235.44) .. controls (400.82,235.2) and (398.92,234.67) .. (397.01,233.85) .. controls (391.88,231.64) and (388.39,228.06) .. (388.62,225.48) ;
%Shape: Arc [id:dp6825988093537583] 
\draw  [draw opacity=0] (387.29,235.58) .. controls (389.28,235.09) and (391.76,234.78) .. (394.45,234.72) .. controls (397.56,234.65) and (400.4,234.93) .. (402.53,235.44) -- (394.53,238.15) -- cycle ; \draw  [color={rgb, 255:red, 155; green, 155; blue, 155 }  ,draw opacity=1 ] (387.29,235.58) .. controls (389.28,235.09) and (391.76,234.78) .. (394.45,234.72) .. controls (397.56,234.65) and (400.4,234.93) .. (402.53,235.44) ;
%Shape: Circle [id:dp5449611937252115] 
\draw  [color={rgb, 255:red, 155; green, 155; blue, 155 }  ,draw opacity=1 ][fill={rgb, 255:red, 155; green, 155; blue, 155 }  ,fill opacity=1 ] (399.78,235.38) .. controls (399.82,233.86) and (401.08,232.66) .. (402.6,232.69) .. controls (404.12,232.73) and (405.32,233.99) .. (405.28,235.51) .. controls (405.24,237.03) and (403.98,238.23) .. (402.46,238.19) .. controls (400.94,238.16) and (399.74,236.89) .. (399.78,235.38) -- cycle ;
%Shape: Arc [id:dp566680201109816] 
\draw  [draw opacity=0] (329.32,279.03) .. controls (333.71,275.26) and (339.07,272.08) .. (345.15,269.85) .. controls (360.8,264.12) and (376.83,266.32) .. (386.25,274.36) -- (355.47,298.02) -- cycle ; \draw   (329.32,279.03) .. controls (333.71,275.26) and (339.07,272.08) .. (345.15,269.85) .. controls (360.8,264.12) and (376.83,266.32) .. (386.25,274.36) ;
%Shape: Circle [id:dp48317708229253764] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (383.5,274.36) .. controls (383.5,272.85) and (384.73,271.61) .. (386.25,271.61) .. controls (387.77,271.61) and (389,272.85) .. (389,274.36) .. controls (389,275.88) and (387.77,277.11) .. (386.25,277.11) .. controls (384.73,277.11) and (383.5,275.88) .. (383.5,274.36) -- cycle ;
%Shape: Arc [id:dp8974839615118549] 
\draw  [draw opacity=0] (335.73,281.56) .. controls (335.44,279.33) and (337.02,276.02) .. (339.93,273.23) .. controls (342.37,270.89) and (345.13,269.5) .. (347.27,269.34) -- (343.24,276.68) -- cycle ; \draw  [color={rgb, 255:red, 155; green, 155; blue, 155 }  ,draw opacity=1 ] (335.73,281.56) .. controls (335.44,279.33) and (337.02,276.02) .. (339.93,273.23) .. controls (342.37,270.89) and (345.13,269.5) .. (347.27,269.34) ;
%Shape: Arc [id:dp5025781203151797] 
\draw  [draw opacity=0] (347.27,269.34) .. controls (345.61,269.85) and (343.68,270.17) .. (341.59,270.23) .. controls (336.01,270.41) and (331.33,268.66) .. (330.44,266.21) -- (341.43,265.1) -- cycle ; \draw  [color={rgb, 255:red, 155; green, 155; blue, 155 }  ,draw opacity=1 ] (347.27,269.34) .. controls (345.61,269.85) and (343.68,270.17) .. (341.59,270.23) .. controls (336.01,270.41) and (331.33,268.66) .. (330.44,266.21) ;
%Shape: Arc [id:dp46375179403538425] 
\draw  [draw opacity=0] (333.52,275.93) .. controls (335.12,274.65) and (337.23,273.31) .. (339.65,272.11) .. controls (342.43,270.72) and (345.12,269.77) .. (347.27,269.34) -- (341.18,275.19) -- cycle ; \draw  [color={rgb, 255:red, 155; green, 155; blue, 155 }  ,draw opacity=1 ] (333.52,275.93) .. controls (335.12,274.65) and (337.23,273.31) .. (339.65,272.11) .. controls (342.43,270.72) and (345.12,269.77) .. (347.27,269.34) ;
%Shape: Circle [id:dp17240924446601802] 
\draw  [color={rgb, 255:red, 155; green, 155; blue, 155 }  ,draw opacity=1 ][fill={rgb, 255:red, 155; green, 155; blue, 155 }  ,fill opacity=1 ] (344.75,270.44) .. controls (344.14,269.05) and (344.77,267.43) .. (346.16,266.82) .. controls (347.55,266.21) and (349.17,266.84) .. (349.78,268.23) .. controls (350.39,269.62) and (349.76,271.24) .. (348.37,271.85) .. controls (346.98,272.46) and (345.36,271.83) .. (344.75,270.44) -- cycle ;
%Shape: Arc [id:dp7112307444645192] 
\draw  [draw opacity=0] (356.9,274.05) .. controls (357.58,271.91) and (360.42,269.59) .. (364.23,268.3) .. controls (367.43,267.21) and (370.53,267.12) .. (372.53,267.88) -- (365.76,272.82) -- cycle ; \draw  [color={rgb, 255:red, 155; green, 155; blue, 155 }  ,draw opacity=1 ] (356.9,274.05) .. controls (357.58,271.91) and (360.42,269.59) .. (364.23,268.3) .. controls (367.43,267.21) and (370.53,267.12) .. (372.53,267.88) ;
%Shape: Arc [id:dp09206276100952027] 
\draw  [draw opacity=0] (372.53,267.88) .. controls (370.82,267.64) and (368.92,267.11) .. (367.01,266.29) .. controls (361.88,264.08) and (358.39,260.5) .. (358.62,257.92) -- (369.05,261.57) -- cycle ; \draw  [color={rgb, 255:red, 254; green, 0; blue, 0 }  ,draw opacity=1 ] (372.53,267.88) .. controls (370.82,267.64) and (368.92,267.11) .. (367.01,266.29) .. controls (361.88,264.08) and (358.39,260.5) .. (358.62,257.92) ;
%Shape: Arc [id:dp5151214033856736] 
\draw  [draw opacity=0] (357.29,268.02) .. controls (359.28,267.53) and (361.76,267.22) .. (364.45,267.16) .. controls (367.56,267.09) and (370.4,267.37) .. (372.53,267.88) -- (364.53,270.6) -- cycle ; \draw  [color={rgb, 255:red, 155; green, 155; blue, 155 }  ,draw opacity=1 ] (357.29,268.02) .. controls (359.28,267.53) and (361.76,267.22) .. (364.45,267.16) .. controls (367.56,267.09) and (370.4,267.37) .. (372.53,267.88) ;
%Shape: Circle [id:dp0990828214901528] 
\draw  [color={rgb, 255:red, 0; green, 0; blue, 0 }  ,draw opacity=1 ][fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (369.78,267.82) .. controls (369.82,266.3) and (371.08,265.1) .. (372.6,265.13) .. controls (374.12,265.17) and (375.32,266.43) .. (375.28,267.95) .. controls (375.24,269.47) and (373.98,270.67) .. (372.46,270.63) .. controls (370.94,270.6) and (369.74,269.33) .. (369.78,267.82) -- cycle ;
%Straight Lines [id:da61636316892031] 
\draw    (220,146) -- (220,160) -- (270,160) -- (270,177) ;
\draw [shift={(270,180)}, rotate = 270] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.08]  [draw opacity=0] (8.93,-4.29) -- (0,0) -- (8.93,4.29) -- cycle    ;

% Text Node
\draw  [draw opacity=0][fill={rgb, 255:red, 212; green, 212; blue, 212 }  ,fill opacity=1 ]  (253,43) .. controls (253,40.24) and (255.24,38) .. (258,38) -- (317,38) .. controls (319.76,38) and (322,40.24) .. (322,43) -- (322,54) .. controls (322,56.76) and (319.76,59) .. (317,59) -- (258,59) .. controls (255.24,59) and (253,56.76) .. (253,54) -- cycle  ;
\draw (256,42) node [anchor=north west][inner sep=0.75pt]  [font=\footnotesize] [align=left] {observations};
% Text Node
\draw  [draw opacity=0][fill={rgb, 255:red, 212; green, 212; blue, 212 }  ,fill opacity=1 ]  (518,46) .. controls (518,43.24) and (520.24,41) .. (523,41) -- (573,41) .. controls (575.76,41) and (578,43.24) .. (578,46) -- (578,57) .. controls (578,59.76) and (575.76,62) .. (573,62) -- (523,62) .. controls (520.24,62) and (518,59.76) .. (518,57) -- cycle  ;
\draw (521,45) node [anchor=north west][inner sep=0.75pt]  [font=\footnotesize] [align=left] {commands};
% Text Node
\draw  [draw opacity=0][fill={rgb, 255:red, 212; green, 212; blue, 212 }  ,fill opacity=1 ]  (18,253) .. controls (18,250.24) and (20.24,248) .. (23,248) -- (80,248) .. controls (82.76,248) and (85,250.24) .. (85,253) -- (85,281) .. controls (85,283.76) and (82.76,286) .. (80,286) -- (23,286) .. controls (20.24,286) and (18,283.76) .. (18,281) -- cycle  ;
\draw (21,252) node [anchor=north west][inner sep=0.75pt]  [font=\footnotesize] [align=left] {\begin{minipage}[lt]{42.61pt}\setlength\topsep{0pt}
\begin{center}
Intervention\\Signal
\end{center}

\end{minipage}};
% Text Node
\draw  [draw opacity=0][fill={rgb, 255:red, 212; green, 212; blue, 212 }  ,fill opacity=1 ]  (142,319) .. controls (142,316.24) and (144.24,314) .. (147,314) -- (197,314) .. controls (199.76,314) and (202,316.24) .. (202,319) -- (202,347) .. controls (202,349.76) and (199.76,352) .. (197,352) -- (147,352) .. controls (144.24,352) and (142,349.76) .. (142,347) -- cycle  ;
\draw (145,318) node [anchor=north west][inner sep=0.75pt]  [font=\footnotesize] [align=left] {\begin{minipage}[lt]{38.08pt}\setlength\topsep{0pt}
\begin{center}
Safe\\commands
\end{center}

\end{minipage}};
% Text Node
\draw (124,191) node [anchor=north west][inner sep=0.75pt]   [align=left] {\begin{minipage}[lt]{52.56pt}\setlength\topsep{0pt}
Intervention
\begin{center}
Logic
\end{center}

\end{minipage}};
% Text Node
\draw (476,162) node [anchor=north west][inner sep=0.75pt]   [align=left] {\begin{minipage}[lt]{98.71pt}\setlength\topsep{0pt}
\begin{center}
Forward propagation\\of precomputed command\\sequences
\end{center}

\end{minipage}};
% Text Node
\draw (457,116.4) node [anchor=north west][inner sep=0.75pt]  [font=\small]  {${\displaystyle x^{T} =\int _{T_{0}}^{T} f\left( x( t) ,\ u( t)\right) dt}$};
% Text Node
\draw (257,201) node [anchor=north west][inner sep=0.75pt]   [align=left] {Scoring};
% Text Node
\draw  [draw opacity=0][fill={rgb, 255:red, 212; green, 212; blue, 212 }  ,fill opacity=1 ]  (241,261) .. controls (241,258.24) and (243.24,256) .. (246,256) -- (317,256) .. controls (319.76,256) and (322,258.24) .. (322,261) -- (322,272) .. controls (322,274.76) and (319.76,277) .. (317,277) -- (246,277) .. controls (243.24,277) and (241,274.76) .. (241,272) -- cycle  ;
\draw (244,260) node [anchor=north west][inner sep=0.75pt]  [font=\footnotesize] [align=left] {Best Candidate};
% Text Node
\draw (328,121) node [anchor=north west][inner sep=0.75pt]   [align=left] {\begin{minipage}[lt]{53.67pt}\setlength\topsep{0pt}
\begin{center}
Lightweight\\Localization
\end{center}

\end{minipage}};
% Text Node
\draw  [draw opacity=0][fill={rgb, 255:red, 212; green, 212; blue, 212 }  ,fill opacity=1 ]  (344,203) .. controls (344,200.24) and (346.24,198) .. (349,198) -- (432,198) .. controls (434.76,198) and (437,200.24) .. (437,203) -- (437,214) .. controls (437,216.76) and (434.76,219) .. (432,219) -- (349,219) .. controls (346.24,219) and (344,216.76) .. (344,214) -- cycle  ;
\draw (347,202) node [anchor=north west][inner sep=0.75pt]  [font=\footnotesize] [align=left] {Set of Trajecories};
% Text Node
\draw (422,115.4) node [anchor=north west][inner sep=0.75pt]    {$x_{0}$};
% Text Node
\draw  [draw opacity=0][fill={rgb, 255:red, 212; green, 212; blue, 212 }  ,fill opacity=1 ]  (658,115) .. controls (658,112.24) and (660.24,110) .. (663,110) -- (731,110) .. controls (733.76,110) and (736,112.24) .. (736,115) -- (736,143) .. controls (736,145.76) and (733.76,148) .. (731,148) -- (663,148) .. controls (660.24,148) and (658,145.76) .. (658,143) -- cycle  ;
\draw (661,114) node [anchor=north west][inner sep=0.75pt]  [font=\footnotesize] [align=left] {\begin{minipage}[lt]{50.32pt}\setlength\topsep{0pt}
\begin{center}
Predetermined\\Model inputs
\end{center}

\end{minipage}};
% Text Node
\draw  [draw opacity=0][fill={rgb, 255:red, 212; green, 212; blue, 212 }  ,fill opacity=1 ]  (681,196) .. controls (681,193.24) and (683.24,191) .. (686,191) -- (717,191) .. controls (719.76,191) and (722,193.24) .. (722,196) -- (722,224) .. controls (722,226.76) and (719.76,229) .. (717,229) -- (686,229) .. controls (683.24,229) and (681,226.76) .. (681,224) -- cycle  ;
\draw (684,195) node [anchor=north west][inner sep=0.75pt]  [font=\footnotesize] [align=left] {\begin{minipage}[lt]{25.39pt}\setlength\topsep{0pt}
\begin{center}
Gokart\\Model
\end{center}

\end{minipage}};
% Text Node
\draw (186,108) node [anchor=north west][inner sep=0.75pt]   [align=left] {\begin{minipage}[lt]{48.57pt}\setlength\topsep{0pt}
\begin{center}
Occupancy\\Grid
\end{center}

\end{minipage}};
% Text Node
\draw  [draw opacity=0][fill={rgb, 255:red, 212; green, 212; blue, 212 }  ,fill opacity=1 ]  (678,155) .. controls (678,152.24) and (680.24,150) .. (683,150) -- (718,150) .. controls (720.76,150) and (723,152.24) .. (723,155) -- (723,183) .. controls (723,185.76) and (720.76,188) .. (718,188) -- (683,188) .. controls (680.24,188) and (678,185.76) .. (678,183) -- cycle  ;
\draw (681,154) node [anchor=north west][inner sep=0.75pt]  [font=\footnotesize] [align=left] {\begin{minipage}[lt]{27.65pt}\setlength\topsep{0pt}
\begin{center}
Various\\delays
\end{center}

\end{minipage}};
% Text Node
\draw (420,229.57) node [anchor=north west][inner sep=0.75pt]    {$x_{0}$};
% Text Node
\draw (390,262.01) node [anchor=north west][inner sep=0.75pt]    {$x_{0}$};


\end{tikzpicture}

\end{document}